Package org.apache.torque.generator.configuration.controller

# Class OutputConfigurationTags

java.lang.Object
org.apache.torque.generator.configuration.controller.OutputConfigurationTags

public final class OutputConfigurationTags extends Object
The tag and attribute names used for configuring an Output unit.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ENCODING_ATTRIBUTE`
  Attribute name for the "encoding" attribute.
  `static final String`
  `EXISTING_TARGET_STRATEGY_ATTRIBUTE`
  Attribute name for the "existingTargetStrategy" attribute.
  `static final String`
  `FILE_ATTRIBUTE`
  Attribute name for the "file" attribute.
  `static final String`
  `FILENAME_GENERATOR_TAG`
  Tag name for the "filenameOutlet" tag.
  `static final String`
  `NAME_ATTRIBUTE`
  Attribute name for the "name" attribute.
  `static final String`
  `OUTLET_TAG`
  Tag name for the "outlet" tag.
  `static final String`
  `OUTPUT_DIR_KEY_ATTRIBUTE`
  Attribute name for the "existingTargetStrategy" attribute.
  `static final String`
  `OUTPUT_TAG`
  Tag name for the "output" tag.
  `static final String`
  `TYPE_ATTRIBUTE`
  Attribute name for the "type" attribute.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OUTPUT_TAG

    public static final String OUTPUT_TAG
    Tag name for the "output" tag.
    See Also:
      - Constant Field Values

  - ### NAME_ATTRIBUTE

    public static final String NAME_ATTRIBUTE
    Attribute name for the "name" attribute.
    See Also:
      - Constant Field Values

  - ### EXISTING_TARGET_STRATEGY_ATTRIBUTE

    public static final String EXISTING_TARGET_STRATEGY_ATTRIBUTE
    Attribute name for the "existingTargetStrategy" attribute.
    See Also:
      - Constant Field Values

  - ### OUTPUT_DIR_KEY_ATTRIBUTE

    public static final String OUTPUT_DIR_KEY_ATTRIBUTE
    Attribute name for the "existingTargetStrategy" attribute.
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE

    public static final String FILE_ATTRIBUTE
    Attribute name for the "file" attribute.
    See Also:
      - Constant Field Values

  - ### ENCODING_ATTRIBUTE

    public static final String ENCODING_ATTRIBUTE
    Attribute name for the "encoding" attribute.
    See Also:
      - Constant Field Values

  - ### TYPE_ATTRIBUTE

    public static final String TYPE_ATTRIBUTE
    Attribute name for the "type" attribute.
    See Also:
      - Constant Field Values

  - ### OUTLET_TAG

    public static final String OUTLET_TAG
    Tag name for the "outlet" tag.
    See Also:
      - Constant Field Values

  - ### FILENAME_GENERATOR_TAG

    public static final String FILENAME_GENERATOR_TAG
    Tag name for the "filenameOutlet" tag.
    See Also:
      - Constant Field Values